[package]
name = "json-api"
version = "0.2.0"
authors = ["shockrah <alejandros714@protonmail.com>"]
edition = "2018"

[workspace]
[dependencies]
# Networking things
tokio = { version = "^0.2", features = ["rt-core", "rt-threaded", "macros", "signal"] }

hyper = "0.13"
mysql_async = "0.23.1"

dotenv = "0.9.0"


# Crypto things
getrandom = "0.1"
bcrypt = "0.8"
base64 = "0.12.1"
rand = "0.7.3"
jsonwebtoken = "7.2.0"

# Cli args
clap = "2.32.2"

# Serialization
serde_json = "1.0"
serde = { version = "1.0.114", features = [ "derive" ] }
lazy_static = "1.4.0"

# Database library/interface
db = { path = "db" }

[dev-dependencies]
tokio-test = "0.2.1"
